package net.zmobile.ui;

import javax.microedition.lcdui.Font;
import javax.microedition.lcdui.Graphics;

public class ZLink extends ZComponent {

	public ZLink(String text) {
		setText(text);
		this._w = Font.getDefaultFont().stringWidth(text);
		this._h = Font.getDefaultFont().getHeight();
	}

	public void draw(Graphics g) {
		if (_font != null) {
			g.setFont(_font);
		}
	}

	public void drawStatus(Graphics g) {
		Font font = g.getFont();
		g.setFont(Font.getFont(font.getFace(), Font.STYLE_UNDERLINED, font
				.getSize()));

		if (this.isFoucus) {
			g.setColor(0x0000ff);
			if (this.isPressed) {
				g.setColor(0xff0000);
			} else {
				g.setColor(0, 0, 255);
				g.fillRect(_x + _w / 2 - font.stringWidth(_text) / 2, _y + _h
						/ 2 - font.getHeight() / 2, font.stringWidth(_text),
						font.getHeight());
				g.setColor(0xffffff);
			}
		} else {
			g.setColor(0x0000ff);
		}

		g.drawString(_text, _x + _w / 2 - font.stringWidth(_text) / 2, _y + _h
				/ 2 - font.getHeight() / 2, Graphics.TOP | Graphics.LEFT);
		g.setFont(font);
	}
	public void resetSize() {
		this._w = Font.getDefaultFont().stringWidth(_text);
		this._h = Font.getDefaultFont().getHeight();
	}
}
